package w83b.w83bOperacionesPaso.w83bMantenimientos.w83bDelegados;

import java.io.PrintWriter;
import java.util.ArrayList;
import java.util.List;

import javax.servlet.http.HttpServletRequest;
import javax.servlet.http.HttpServletResponse;

import org.apache.struts.action.ActionErrors;
import org.apache.struts.action.ActionForm;
import org.apache.struts.action.ActionForward;
import org.apache.struts.action.ActionMapping;

import w83b.w83bBeans.W83bMantenimientoDelegadosBean;
import w83b.w83bUtilidades.W83bUtilidadesComunes;
import es.ejie.frmk.presentacion.operacion.paso.Q70ActionPasoOP;
import es.ejie.frmk.presentacion.sesiondatos.Q70ContextoEJIE;


public class W83bTablaDelegadosOutOPAction extends Q70ActionPasoOP{

	
	protected void processOP(Q70ContextoEJIE contexto, ActionErrors errores, ActionMapping mapping,
			ActionForm form, HttpServletRequest request, HttpServletResponse response) throws Exception {

	}

	protected ActionForward processForward(Q70ContextoEJIE contexto, ActionErrors errors, ActionMapping mapping, 
			ActionForm form, HttpServletRequest request, HttpServletResponse response) throws Exception {
		
		W83bMantenimientoDelegadosBean bean = (W83bMantenimientoDelegadosBean)contexto.get("w83bMantenimientoDelegadosBean");

		int num_paginas = ((ArrayList)contexto.get("w83bListaDelegados")).size()/Integer.parseInt(bean.getTotal());
		
		if(((ArrayList)contexto.get("w83bListaDelegados")).size()%Integer.parseInt(bean.getTotal())>0){
			num_paginas++;
		}
		
		
		List listaVariables = new ArrayList();
		
		listaVariables.add("numActaCompleto");
		listaVariables.add("actaFechaBaja");
		listaVariables.add("nombreDelegado");
		listaVariables.add("primerApellidoDelegado");
		listaVariables.add("segundoApellidoDelegado");
		listaVariables.add("dniDelegado");
		listaVariables.add("fechaBaja");
		listaVariables.add("codSindicato");
		listaVariables.add("razonSocial");
		listaVariables.add("telefono");
		listaVariables.add("cifNif");
		listaVariables.add("domicilio");
		listaVariables.add("descMunicipio");
		listaVariables.add("descProvincia");
		listaVariables.add("fax");
		
		String varClave = "claveBean";
		
		bean.setRows(String.valueOf(num_paginas));
		
		
		
		String jJson = W83bUtilidadesComunes.procesarTablaConId((ArrayList)contexto.get("w83bListaDelegados"),listaVariables,varClave,W83bMantenimientoDelegadosBean.class, bean);
		
		response.setContentType("text/javascript;charset=iso-8859-1");
		response.setHeader("Pragma", "cache");
		response.setHeader("Expires", "0");
		response.setHeader("Cache-Control", "private");
		response.setStatus(HttpServletResponse.SC_OK);
		PrintWriter out = response.getWriter();
		out.print(jJson);
		out.flush();
		
		return null;
	}
	


}
